Subject: pkg/37620: devel/autoconf doesn't use GNU m4
To: None <,,>
From: Aleksej Saushev <>
List: pkgsrc-bugs
Date: 12/26/2007 20:45:00
>Number:         37620
>Category:       pkg
>Synopsis:       devel/autoconf doesn't use GNU m4
>Confidential:   no
>Severity:       serious
>Priority:       medium
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Wed Dec 26 20:45:00 +0000 2007
>Originator:     Aleksej Saushev <>
>Release:        NetBSD 4.99.44
System: FreeBSD 7.0-PRERELEASE i386
Architecture: i386
Machine: i386
	When building devel/autoconf on FreeBSD (6.2 and 7) system's m4 is
	called despite GNU m4 is required and found:

        checking for expr... /usr/pkgsrc/devel/autoconf/work/.tools/bin/expr
        checking for gm4... /usr/pkg/bin/gm4
        checking whether m4 supports frozen files... no
        configure: error: GNU M4 1.4 is required
	Bootstrap pkgsrc on FreeBSD and install devel/autoconf